# jsHint配置说明

### 安装依赖资源
>	使用命令行，切换到node开发环境根目录后，开始顺序执行以下命令：  
	将包管理器npm更新到最新版本  
	npm install npm@latest -g  
	安装任务管理工具grunt  
	npm install grunt -g
	安装代码检查工具jshint  
	npm install jshint --save  
	安装grunt的jshint插件  
	npm install grunt-contrib-jshint --save  

### 配置jsHint规则

>	在开发环境根目录建立文件"Gruntfile.js"  
>	内容如下  
>
		module.exports = function(grunt){
			grunt.initConfig({
				pkg : grunt.file.readJSON("package.json"),
				jshint : {
					//要检查的目录和文件列表。!开头表示忽略该规则
					files : [
						"./public/butterfly-hunan/**/*.js",
						"!./public/butterfly-hunan/device.js",
						"!./public/butterfly-hunan/resource/_device.js",
						"!./public/butterfly-hunan/resource/store.min.js"
					],
					//具体规则见以下文档
					//http://www.cnblogs.com/tadini/p/5279335.html
					options : {
						evil : true,//允许使用eval
						asi : true,//允许句末省略分号
						lastsemic : false,//允许语句块末省略分号
						expr : true,//允许表达式作为赋值
						sub : true,//允许使用obj["key"]这类方式操作对象
						undef : false,//允许使用不在全局变量列表中的未定义的变量
						quotmark : false,
						globals : {
							jQuery : true,
							console : true,
							document : true
						},
					}
				}
			})
			grunt.loadNpmTasks("grunt-contrib-jshint")
			grunt.registerTask("test",["jshint"])
		}

### 启动检查
>	在nodejs开发环境根目录输入以下命令：  
	grunt jshint